#version 120
//#extension GL_EXT_gpu_shader4 : require

#pragma optimize(on)

uniform float contextWidth;
uniform float contextHeight;

uniform vec2 cameraClip;

//uniform mat4 projectionMatrix;
uniform mat4 modelViewMatrix;

varying vec4 positionView;
//varying vec4 shadowCoord;
varying mat4 lightViewMatrix;

void main(void) {

  gl_Position = ftransform();
  //gl_Position = gl_ProjectionMatrix * gl_ModelViewMatrix * gl_Vertex;
  //gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
  positionView = gl_ModelViewMatrix * gl_Vertex;
  //shadowCoord = gl_TextureMatrix[7] * gl_Vertex;
  lightViewMatrix = gl_TextureMatrix[7];

}
